<template>
  <div class="social-login">
    <GoogleOauth @success="success" />
    <VkOauth />
    <FacebookOauth @success="success" />
  </div>
</template>

<script>
import GoogleOauth from "./oauth/GoogleOauth";
import VkOauth from "./oauth/VkOauth";
import FacebookOauth from "./oauth/FacebookOauth";

export default {
  name: "SocialLogin",

  components: {
    GoogleOauth,
    VkOauth,
    FacebookOauth,
  },

  methods: {
    success() {
      this.$emit("success");
    },
  },
};
</script>
